Bug 234798 - irc/irssi: Update to 1.1.2
Summary: irc/irssi: Update to 1.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2019-01-09 19:13 UTC by David O'Rourke
Modified: 2019-01-10 19:45 UTC (History)
1 user (show)

See Also:
dor.bsd: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
irc/irssi: Update to 1.1.2 (878 bytes, patch)
2019-01-09 19:13 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2019-01-09 19:13:06 UTC
Created attachment 200966 [details]
irc/irssi: Update to 1.1.2

This patch updates irc/irssi to 1.1.2. This is a security release.

Details of the security issues can be found at https://irssi.org/security/irssi_sa_2019_01.txt. The update also brings a number of regular enhancements which are detailed at https://irssi.org/2019/01/09/irssi-1.1.2-released/.
Comment 1 commit-hook freebsd_committer 2019-01-09 22:20:10 UTC
A commit references this bug:

Author: dbaio
Date: Wed Jan  9 22:19:54 UTC 2019
New revision: 489833
URL: https://svnweb.freebsd.org/changeset/ports/489833

Log:
  irc/irssi: Update to 1.1.2

  Changelog:	https://irssi.org/NEWS/#v1-1-2

  Irssi Security Advisory:	https://irssi.org/security/irssi_sa_2019_01.txt

  PR:		234798
  Submitted by:	David O'Rourke <dor.bsd@xm0.uk> (maintainer)
  Submitted by:	tj@mrsk.me (email)
  MFH:		2019Q1

Changes:
  head/irc/irssi/Makefile
  head/irc/irssi/distinfo
Comment 2 Danilo G. Baio freebsd_committer 2019-01-09 22:25:35 UTC
Committed, thanks.

I'll let this PR open waiting for MFH approval.
Comment 3 commit-hook freebsd_committer 2019-01-10 18:59:39 UTC
A commit references this bug:

Author: dbaio
Date: Thu Jan 10 18:59:33 UTC 2019
New revision: 489887
URL: https://svnweb.freebsd.org/changeset/ports/489887

Log:
  security/vuxml: Document irc/irssi issue

  Security:	CVE-2019-5882

  PR:		234798

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2019-01-10 19:44:16 UTC
A commit references this bug:

Author: dbaio
Date: Thu Jan 10 19:43:41 UTC 2019
New revision: 489891
URL: https://svnweb.freebsd.org/changeset/ports/489891

Log:
  MFH: r489833

  irc/irssi: Update to 1.1.2

  Changelog:	https://irssi.org/NEWS/#v1-1-2

  Irssi Security Advisory:	https://irssi.org/security/irssi_sa_2019_01.txt

  PR:		234798
  Submitted by:	David O'Rourke <dor.bsd@xm0.uk> (maintainer)
  Submitted by:	tj@mrsk.me (email)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/irc/irssi/Makefile
  branches/2019Q1/irc/irssi/distinfo